#include<bits/stdc++.h>
using namespace std;
int skokche(long long a,long long b,int k)
{
    int br=0;
    long long h=b-a;
    if(h%2==1)
    {
        br=1;
        h-=1;
        while(h>0)
        {
            h/=2;
            br++;
        }
    }
    else
    {
        while(h>0)
        {
            h/=2;
            br++;
        }
    }
    return br;
}
int main()
{
    long long a,b;
    int k;
    cin>>a>>b>>k;
    cout<<skokche(a,b,k);
    return 0;
}
